# audit-file-monitor

This program was made to cover the lack of error reporting functionality of an external software which performs an audit on line items and outputs any of those line items that contain an error to a text file. This text file is overwritten every 24 hours and will always contain a timestamp of the time it was created in the first line. All lines following the timestamp contain the exact name of the line item that contains an error. This audit-file-monitor Python program simply reads that file from disk and sends the contents of the file as an email to a list of email adresses that you configure. The limited use-case of this program is to replace a process wherein a human was needed to manually open the audit file once daily to check for and report the error-containing line items to a supervisor.

## Requirements

 - Python 3.0 or later must be installed on the computer you're running this script from, however there are no Python package dependencies, as this script only uses built-in python libraries.

 - You will need access to an SMTP server that will be used to send the email.

## Configuration

The python script is a single file and all configuration is entered and saved in the file itself by entering values for each variable at the top of the file.

### Variables

`audit_log_path` = The absolute Windows path to the file. Any slashes must be doubled. Example: "c:\\items\\audit.txt"

`sender_email` = The email address that will appear in the FROM: field of the notification email.

`receiver_email` = A comma separated list of recipients that the notification email will be sent to.

### SMTP Server Configuration

`smtp_server` = SMTP server hostname.

`smtp_username` = SMTP server username

`smtp_password` = SMTP server password

`smtp_port` = SMTP server port (465 for SSL, 587 for STARTTLS)


